## Fetch complete analytics data for your livestreams `client.RealtimeKit.Livestreams.GetLivestreamAnalyticsComplete(ctx, appID, params) (*LivestreamGetLivestreamAnalyticsCompleteResponse, error)` **get** `/accounts/{account_id}/realtime/kit/{app_id}/analytics/livestreams/overall` Returns livestream analytics for the specified time range. ### Parameters - `appID string` The app identifier tag. - `params LivestreamGetLivestreamAnalyticsCompleteParams` - `AccountID param.Field[string]` Path param: The account identifier tag. - `EndTime param.Field[Time]` Query param: Specify the end time range in ISO format to access the livestream analytics. - `StartTime param.Field[Time]` Query param: Specify the start time range in ISO format to access the livestream analytics. ### Returns - `type LivestreamGetLivestreamAnalyticsCompleteResponse struct{…}` - `Data LivestreamGetLivestreamAnalyticsCompleteResponseData` - `Count int64` Count of total livestreams. - `TotalIngestSeconds int64` Total time duration for which the input was given or the meeting was streamed. - `TotalViewerSeconds int64` Total view time for which the viewers watched the stream. - `Success bool` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/realtime_kit" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) response, err := client.RealtimeKit.Livestreams.GetLivestreamAnalyticsComplete( context.TODO(), "app_id", realtime_kit.LivestreamGetLivestreamAnalyticsCompleteParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", response.Data) } ``` #### Response ```json { "data": { "count": 0, "total_ingest_seconds": 0, "total_viewer_seconds": 0 }, "success": true } ```